> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crunchz.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Phone Number

> Verify if a phone number is registered on WhatsApp before sending messages to improve delivery success rates.



## OpenAPI

````yaml GET /channel/check-phone-number
openapi: 3.1.0
info:
  title: CrunchzApp API Docs
  version: 1.0.0
  description: >-
    Comprehensive WhatsApp API for seamless messaging integration, automation,
    and customer communication in your applications.
servers:
  - url: https://api.crunchz.app/api
security:
  - http: []
paths:
  /channel/check-phone-number:
    get:
      tags:
        - Channel
      description: >-
        Verify if a phone number is registered on WhatsApp before sending
        messages to improve delivery success rates.
      operationId: channel.checkPhoneNumber
      parameters:
        - name: phone
          in: query
          required: true
          description: The phone number to check.
          schema:
            type: string
          example: '000000'
      responses:
        '200':
          description: '`CheckPhoneResource`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckPhoneResource'
        '400':
          $ref: '#/components/responses/BadRequestException'
        '401':
          $ref: '#/components/responses/UnauthorizedException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
        '500':
          $ref: '#/components/responses/InternalServerErrorException'
components:
  schemas:
    CheckPhoneResource:
      type: object
      properties:
        success:
          type: boolean
          description: The success status of response.
        message:
          type: string
          description: The message of response.
        data:
          type: object
          properties:
            is_exists:
              type: string
              description: The existence status of the number in whatsapp
              examples:
                - true
                - false
            contact_id:
              type: string
              description: The contact id of the phone
              examples:
                - true
                - 6123712381232@c.us
          required:
            - is_exists
            - contact_id
      required:
        - success
        - message
        - data
      title: CheckPhoneResource
  responses:
    BadRequestException:
      description: Bad request error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    UnauthorizedException:
      description: Unauthorized error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
    InternalServerErrorException:
      description: Internal server error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````